summaryrefslogtreecommitdiffstats
path: root/deliveries/local-dev-host-start.sh
diff options
context:
space:
mode:
authorst782s <statta@research.att.com>2018-01-30 17:29:36 -0500
committerst782s <statta@research.att.com>2018-02-01 15:10:02 -0500
commit21a8761f684745bb300e075c7e98ad897ace9eed (patch)
tree6d585c3fe39fbb42a314941dbc8646e6ccf188cf /deliveries/local-dev-host-start.sh
parent3af8af1310d5a27cb58be29505573f0bbdc1717c (diff)
Security/ Package Name changes
Issue-ID: PORTAL-174, PORTAL-157, PORTAL-156, PORTAL-148, PORTAL-145, PORTAL-140, PORTAL-133, PORTAL-121, PORTAL-111, PORTAL-88 Includes security fixes, Role Centralization, replace certain ECOMP occurrences etc Change-Id: I3c8b706709c6b92e646e3cbe50c2d660e8a46ef4 Signed-off-by: st782s <statta@research.att.com>
Diffstat (limited to 'deliveries/local-dev-host-start.sh')
-rw-r--r--deliveries/local-dev-host-start.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/deliveries/local-dev-host-start.sh b/deliveries/local-dev-host-start.sh
new file mode 100644
index 00000000..4230c393
--- /dev/null
+++ b/deliveries/local-dev-host-start.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Starts docker containers for ONAP Portal in test environment
+# For development use only; this does NOT pull from git nor build.
+
+# be verbose
+set -x
+
+# Get variables from docker-compose environment file
+source .env
+
+# Define local subdirectory with host-specific property files
+# The leading "./" is required for docker-compose
+export PROPS_DIR=./properties_vm-ep-dev11
+if [ ! -d $PROPS_DIR ] ; then
+ echo "Failed to find directory $PROPS_DIR"
+ exit 1
+fi
+echo "Using properties directory $PROPS_DIR"
+
+# Constants as of Oct 2017, Amsterdam release
+NEXUS_REPO=nexus3.onap.org:10001
+CLI_IMG_VERSION=1.1-STAGING-latest
+
+# Pull and tag the CLI image, which is provided elsewhere.
+# Authenticate like this; the username and password are NOT stored here.
+docker login -u username -p password $NEXUS_REPO
+docker pull $NEXUS_REPO/$CLI_IMG_NAME:${CLI_IMG_VERSION}
+docker tag $NEXUS_REPO/$CLI_IMG_NAME:${CLI_IMG_VERSION} $CLI_IMG_NAME:$PORTAL_TAG
+
+# Create local logs directory
+# The leading "./" is required for docker-compose
+export LOGS_DIR=./logs
+mkdir -p $LOGS_DIR
+
+# Make inter-app communication work in dev3
+export EXTRA_HOST_IP="135.207.161.175"
+export EXTRA_HOST_NAME="portal.api.simpledemo.onap.org"
+
+# (re)start containers
+docker-compose down
+docker-compose up -d